org.apache.hadoop.yarn.util

## Class TimelineServiceHelper

- java.lang.Object
- - org.apache.hadoop.yarn.util.TimelineServiceHelper

-     @InterfaceAudience.LimitedPrivate(value={"MapReduce","YARN"})
      public final class TimelineServiceHelper
      extends Object

  Helper class for Timeline service.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `invertLong(long key)` Inverts the given key.
    `static <E,V> HashMap<E,V>` | `mapCastToHashMap(Map<E,V> originalMap)` Cast map to HashMap for generic type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### mapCastToHashMap

          public static <E,V> HashMap<E,V> mapCastToHashMap(Map<E,V> originalMap)

      Cast map to HashMap for generic type.
      Type Parameters:
        `E` - key type
        `V` - value type
      Parameters:
        `originalMap` - the map need to be casted
      Returns:
        casted HashMap object

    - #### invertLong

          public static long invertLong(long key)

      Inverts the given key.
      Parameters:
        `key` - value to be inverted .
      Returns:
        inverted long

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.